<app-modal
  #modal
  [id]="idModel"
  position="top"
>
  <ng-container ngProjectAs="header">
    <h6>Lacak</h6>
    <button
      class="btn-close"
      (click)="closeModal()"
      type="button"
      role="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <ng-container *ngIf="satudataUser.role_name !== 'walidata'">
      <ng-container *ngIf="!notificationIsLoadingList">
        <ng-container *ngIf="notificationData; let row">
          <div
            [ngClass]="jds.mb(24)"
            [innerHTML]="getNotificationContent(row.title, row.content)"
          ></div>
        </ng-container>
      </ng-container>
    </ng-container>

    <ng-container *ngIf="isLoadingList$ | async">
      <div [ngClass]="jds.mb(20)">
        <ng-container *ngFor="let number of [50, 20, 90, 70]">
          <div class="wrapper-skeleton">
            <ngx-skeleton-loader
              [theme]="{
                width: number + '%',
                'border-radius': '0',
                height: '22px',
                'margin-bottom': '0px'
              }"
            />
          </div>
        </ng-container>
      </div>
    </ng-container>

    <ng-container *ngIf="(isLoadingList$ | async) === false">
      <ul [ngClass]="className.timeline">
        <ng-container *ngFor="let row of data$ | async">
          <li>
            <h6 [ngClass]="[jds.fs(16), jds.mb(5)]">
              {{ getCategory(row.status) }}
            </h6>
            <div [ngClass]="[jds.text('muted')]">
              {{
                moment(row.datetime)
                  .locale('id')
                  .format('DD MMMM YYYY &nbsp; HH:mm')
              }}
            </div>
            <p
              *ngIf="row.notes"
              [ngClass]="[jds.mb(0), jds.mt(8)]"
            >
              {{ row.notes }}
            </p>

            <div
              *ngIf="row.name"
              [ngClass]="jds.mt(8)"
            >
              [{{ row.name }}]
            </div>
          </li>
        </ng-container>
      </ul>
    </ng-container>
  </ng-container>
</app-modal>
